# eric3.VCS.cvsPackage.CvsDialog

Module implementing a dialog starting a process and showing its output.

### Classes

CvsDialog | Module implementing a dialog starting a process and showing its output.

### Functions

None

## CvsDialog

Module implementing a dialog starting a process and showing its output. It starts a QProcess and display a dialog that shows the output of the process. The dialog is modal, which causes a synchronized execution of the process.

### Derived from

CvsForm

### Methods

CvsDialog | Constructor
buttonPressed | Private slot connected to the button clicked signal.
finish | Private slot called when the process finished or the user pressed the button.
handleReadStderr | Private slot to handle the readyReadStderr signal.
handleReadStdout | Private slot to handle the readyReadStdout signal.
keyPressEvent | Protected slot to handle a key press event.
normalExit | Public method to check for a normal process termination.
passwordMode | Private slot to handle the password checkbox toggled.
procExited | Private slot connected to the processExited signal.
returnPressed | Private slot to handle the press of the return key in the input field.
sendInput | Private slot to send the input to the subversion process.
startProcess | Public slot used to start the process.

### CvsDialog (Constructor)

CvsDialog(text, parent = None)

Constructor

text
  text to be shown by the label (string or QString)
parent
  parent widget (QWidget)

### CvsDialog.buttonPressed

buttonPressed()

Private slot connected to the button clicked signal.

### CvsDialog.finish

finish()

Private slot called when the process finished or the user pressed the button.

### CvsDialog.handleReadStderr

handleReadStderr()

Private slot to handle the readyReadStderr signal. It reads the error output of the process and inserts it into the error pane.

### CvsDialog.handleReadStdout

handleReadStdout()

Private slot to handle the readyReadStdout signal. It reads the output of the process, formats it and inserts it into the contents pane.

### CvsDialog.keyPressEvent

keyPressEvent(evt)

Protected slot to handle a key press event.

evt
  the key press event (QKeyEvent)

### CvsDialog.normalExit

normalExit()

Public method to check for a normal process termination.

Returns:
  flag indicating normal process termination (boolean)

### CvsDialog.passwordMode

passwordMode(isOn)

Private slot to handle the password checkbox toggled.

isOn
  flag indicating the status of the check box (boolean)

### CvsDialog.procExited

procExited()

Private slot connected to the processExited signal.

### CvsDialog.returnPressed

returnPressed()

Private slot to handle the press of the return key in the input field.

### CvsDialog.sendInput

sendInput()

Private slot to send the input to the subversion process.

### CvsDialog.startProcess

startProcess(proc)

Public slot used to start the process.

proc
  process object (QProcess)

Up